TAU_TRACK_MEMORY_HEA(3)

NAME
TAU_TRACK_MEMORY_HEADROOM_HERE - Takes a sample of the amount of memory available at a given point.

SYNOPSIS

C/C++:

TAU_TRACK_MEMORY_HEADROOM_HERE(void);

Fortran:

TAU_TRACK_MEMORY_HEADROOM_HERE(void);

DESCRIPTION

Instead of relying on a periodic interrupt to track the amount of memory available to grow, this call may be used to take a sample at a given location in the source code. Context events are used to track the amount of memory headroom.

EXAMPLE

C/C++ :

ary = new double [1024*1024*50];
TAU_TRACK_MEMORY_HEADROOM_HERE();

Fortran :

INTEGER, ALLOCATABLE :: STORAGEARY(:)
allocate(STORAGEARY(1:999), STAT=IERR)
TAU_TRACK_MEMORY_HEADROOM_HERE();

SEE ALSO

TAU_TRACK_MEMORY_HEADROOM(3)